Share Contact Card
POST
/api/partner/v2/chats/{chat_id}/share_contact
const url = 'https://api.linqapp.com/api/partner/v2/chats/1/share_contact';const options = { method: 'POST', headers: {'X-LINQ-INTEGRATION-TOKEN': '<X-LINQ-INTEGRATION-TOKEN>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.linqapp.com/api/partner/v2/chats/1/share_contact \ --header 'X-LINQ-INTEGRATION-TOKEN: <X-LINQ-INTEGRATION-TOKEN>'Shares your Linq contact card (name and image associated with your Linq number) with the participants in the chat. This endpoint does not require a request body.
Note: Contact cards must be enabled for your users by the Linq team. Contact your Linq representative to enable this feature.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” chat_id
required
integer
The chat ID
Responses
Section titled “ Responses ”Contact card shared successfully
Chat not found
Media type application/json
Standard error format used by most endpoints (render_error format)
object
errors
Array<object>
object
status
integer
code
string
title
string
detail
string
Example
{ "errors": [ { "status": 404, "code": "not_found", "title": "Not Found", "detail": "Chat not found" } ]}